#  Roombot
#  CSC297 @ University of Rochester
#  
#  HTML/Settings-file templates that need to be dynamically modified at
#  run-time (usually to insert client's IP)


INDEX = """
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
"http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html>
<head>
<title>Roomba Driver</title>

<script type="text/javascript" src="/static/jquery.js"></script>
<script type="text/javascript" src="/static/trackpad.js"></script>

<meta name = "viewport" content = "user-scalable=no, initial-scale = 1.0">
<meta name="apple-mobile-web-app-capable" content="yes" />
<meta name="apple-mobile-web-app-status-bar-style" content="black" />

<style type="text/css">
body {
	background-color: black;
	color: #fff;
	font-family:  "lucida grande";
}

#trackpad {
	background: -webkit-gradient(radial, 150 200, 50, 150 200, 300, from(#363636), to(#242424));
	background-color: grey;
	border: 1px solid #181818;
	border-radius: 1em;
	bottom: 30px;
	margin-left: -200px;
	height: 300px;
	left: 50%;
	position: absolute;
	width: 400px;
}

#message {
  background-color: #111;
  border-width: 0;
  bottom: 8px;
  color: #fff;
  font-size: 11px;
  height: 15px;
  left: 50%;
  line-height: 11px;
  margin-left: -190px;
  position: absolute;
  width: 380px;
}

#movie {
	display: block;
	margin: 0 auto;
}

@media screen and (max-device-width: 480px) {
	html, body {
		height: 100%;
		margin: 0;
		padding: 0;
		width: 100%;
	}
	
	#trackpad {
		background-color: red;
		height: 100%;
		left: auto;
		margin: 0;
		position: static;
		width: 100%;
	}
	
	#message, #movie {
	  display: none;
	}
}
</style>
</head>

<body>
<object id="movie" width="640" height="480" classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" codebase="http://www.apple.com/qtactivex/qtplugin.cab">
	<param name="src" value="/stream">
	<param name="autoplay" value="true">
	<param name="controller" value="false">

	<embed id="embed-src" src="/stream" width="640" height="480" autoplay="true" controller="false" pluginspage="http://www.apple.com/quicktime/download/"></embed>
</object>
<div id="trackpad"></div>
<input id="message" type="text" value="Send message" />
</body>
</html>"""

STREAM = """SDP text
v=0
o=- 4 197826632 IN IP4 127.0.0.0
s=QuickTime
t=0 0
a=range:npt=now-
a=isma-compliance:2,2.0,2
m=audio 5432 RTP/AVP 96
c=IN IP4 {0}
b=AS:16
a=rtpmap:96 mpeg4-generic/22050/1
a=fmtp:96 profile-level-id=15;mode=AAC-hbr;sizelength=13;indexlength=3;indexdeltalength=3;config=1388
a=mpeg4-esid:101
a=x-bufferdelay:0.000000
m=video 5434 RTP/AVP 97
c=IN IP4 {0}
b=AS:1372
a=rtpmap:97 H264/90000
a=fmtp:97 packetization-mode=1;profile-level-id=4D401E;sprop-parameter-sets=J01AHqkYFAe2ANQYBBrbCte98BA=,KN4JF6A=
a=mpeg4-esid:201
a=cliprect:0,0,480,640
a=framesize:97 640-480
a=x-bufferdelay:0.000000"""

QTBR_SETTINGS = """<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
	<key>audio</key>
	<dict>
		<key>compression</key>
		<dict>
			<key>channelCount</key>
			<integer>1</integer>
			<key>compressionParams</key>
			<data>
			AAAADGZybWFtcDRhAAAADG1wNGEAAAAAAAAAM2VzZHMAAAAAA4CA
			gCIAAAAEgICAFEAVABgAAAAAAAAAPoAFgICAAhOIBoCAgAECAAAA
			DHNyY3FgAAAAAAAADGFjYmYAAAAAAAAACAAAAAA=
			</data>
			<key>compressor</key>
			<string>mp4a</string>
			<key>rate</key>
			<integer>-1149239296</integer>
			<key>size</key>
			<integer>16</integer>
			<key>version</key>
			<integer>1</integer>
		</dict>
		<key>packetizer</key>
		<dict>
			<key>packetizer</key>
			<string>mp4a</string>
			<key>packetizerDurationLimit</key>
			<integer>100</integer>
			<key>packetizerParams</key>
			<data>
			AAAAAAAAAAAAAAABAAAAFHNlYW4AAAABAAAAAAAAAAA=
			</data>
			<key>packetizerSizeLimit</key>
			<integer>1400</integer>
			<key>version</key>
			<integer>1</integer>
		</dict>
		<key>source</key>
		<dict>
			<key>channelSettings</key>
			<data>
			AAAAAAAAAAAAAACGY3RvbQAAABhjZHNjc2djaHNvdW5hcHBsAAAA
			AAAAAGZjc2V0AAAASG5hbWUTQnVpbHQtaW4gTWljcm9waG9uZTig
			BABQi5cXEAAAAHAAbwByAGEAcgB5AEkAdAABAAAAUIuXFwCgBAAg
			AAEAAAAACnZvbHUBAAAAAAxnYWluAAGAAAAAAAx1c2UgAAAAAgAA
			AAxwbHlmAAAAAAAAADRwdG9tAAAAGHBkc2NzZ3Buc291bmNtcHIA
			AAAAAAAAFHBzZXQAAAAMc2NtcHJhdyAAAABIcHRvbQAAABhwZHNj
			c2dwbnNvdW5zYW1wAAAAAAAAAChwc2V0AAAADHNyYXSsRAAAAAAA
			CnNjaG4AAgAAAApzc2l6ABAAAAAycHRvbQAAABhwZHNjc2dwbnNv
			dW5zb3VyAAAAAAAAABJwc2V0AAAACnNpbnAAAQAAAAA=
			</data>
			<key>deviceName</key>
			<string>Built-in Microphone</string>
			<key>gain</key>
			<integer>100</integer>
			<key>preview</key>
			<false/>
			<key>speakerVolume</key>
			<integer>100</integer>
			<key>version</key>
			<integer>1</integer>
		</dict>
	</dict>
	<key>network</key>
	<dict>
		<key>audioPort</key>
		<string>5432</string>
		<key>author</key>
		<string></string>
		<key>bufferDelay</key>
		<string>0.5</string>
		<key>copyright</key>
		<string></string>
		<key>info</key>
		<string></string>
		<key>ipAddress</key>
		<string>{}</string>
		<key>title</key>
		<string></string>
		<key>transmissionType</key>
		<string>unicast</string>
		<key>version</key>
		<integer>1</integer>
		<key>videoPort</key>
		<string>5434</string>
	</dict>
	<key>record</key>
	<false/>
	<key>version</key>
	<integer>1</integer>
	<key>video</key>
	<dict>
		<key>compression</key>
		<dict>
			<key>compressionParams</key>
			<data>
			AAAAAAAAAAAAAAAAAAAAKXNlYW4AAAABAAAAAQAAAAAAAAAVbW9k
			ZQAAAAEAAAAAAAAAAAE=
			</data>
			<key>compressor</key>
			<string>avc1</string>
			<key>dataRate</key>
			<integer>1404928</integer>
			<key>depth</key>
			<integer>16</integer>
			<key>frameRate</key>
			<real>30</real>
			<key>frameReordering</key>
			<false/>
			<key>height</key>
			<integer>480</integer>
			<key>keyFrame</key>
			<integer>60</integer>
			<key>quality</key>
			<integer>512</integer>
			<key>version</key>
			<integer>1</integer>
			<key>width</key>
			<integer>640</integer>
		</dict>
		<key>packetizer</key>
		<dict>
			<key>packetizer</key>
			<string>avc1</string>
			<key>packetizerDurationLimit</key>
			<integer>0</integer>
			<key>packetizerParams</key>
			<data>
			AAAAAAAAAAAAAAABAAAAcHNlYW4AAAABAAAAAQAAAAAAAABccGt0
			enF0aW0AAAADAAAAAAAAABhzZGluAAAAAQAAAAAAAAAAAAAD6AAA
			ABhwZXRlAAAAAQAAAAAAAAAAAAAABAAAABhzcGFjAAAAAQAAAAAA
			AAAAAAAD6A==
			</data>
			<key>packetizerSizeLimit</key>
			<integer>1438</integer>
			<key>version</key>
			<integer>1</integer>
		</dict>
		<key>source</key>
		<dict>
			<key>channelSettings</key>
			<data>
			AAAAAAAAAAAAAAEwY3RvbQAAABhjZHNjc2djaHZpZGVhcHBsAAAA
			AQAAARBjc2V0AAAAHHZkaWd2ZGlndXNidmFwcGwAAAAAAAEDEAAA
			AEhuYW1lFVVTQiBWaWRlbyBDbGFzcyBWaWRlb01pYwAAAAAAAAAD
			AADAo8LkxQMAdWlsdC1pbiBFeHRlcm5hbCBNaWNybwAAAEhkbmFt
			D0J1aWx0LWluIGlTaWdodCBWaWRlbwQAQH2RFxAAAAB628CSOKAE
			AAAAiBOY4v+/AQAAAEB9kRcAoAQAzQUBAAAAABBkdWlk//////1A
			AAAAAAAYdnJjdAAAAAAEsAZAAAAAAASwBkAAAAAsbXRyeAAAIhQA
			AAAAAAAAAAAAAAAAACHsAAAAAAANAAAAAAAAQAAAAAAAAAhjbGlw
			AAAADHVzZSAAAAACAAAADHBseWYAAAAAAAAAenB0b20AAAAYcGRz
			Y3NncG52aWRlY21wcgAAAAAAAABacHNldAAAABZzcHRsMnZ1eQAA
			AAAAAAAAAgAAAAAUdHBybAAAAAAAAAAAAAAACgAAABhkcmF0AAAA
			AAAAAAEAAAIAAAAAAAAAAAxjbWZyoAAAAQAAAAAAAABGcHRvbQAA
			ABhwZHNjc2dwbnZpZGVpbWFnAAAABAAAACZwc2V0AAAACgAAAABt
			tgAAAApzYXRy1VUAAAAKc2hycG22AAAAPHB0b20AAAAYcGRzY3Nn
			cG52aWRlc291cgAAAAAAAAAccHNldAAAAAp2aW5wAAAAAAAKdnN0
			ZAABAAAAAA==
			</data>
			<key>deviceName</key>
			<string>USB Video Class Video</string>
			<key>preview</key>
			<true/>
			<key>previewMode</key>
			<integer>0</integer>
			<key>version</key>
			<integer>1</integer>
		</dict>
	</dict>
</dict>
</plist>"""