/* Roombot
*  CSC297 @ University of Rochester
*  
*  WARNING: This code performs zero error checking.
*  To debug, use Chrome/Safari's Developer Tools or
*  Firebug to monitor AJAX requests.
*/

var TIMEOUT = 50; //delay between calls
var MOVIE_PORT = 554;

//on document load
$(document).ready(function() {
	if (!window.navigator.standalone && navigator.userAgent.match(/(iPhone|iPad|iPod)/i)) {
		alert("Please add this page to your home screen for full capabilities.");
	}
	
	$("#message").keypress(function(event) {
		if (event.keyCode == '13') {
			$.get("/message", {
				"text": $(this).val()
			});
			$(this).val("");
		}
	});
	
	$("#message").click(function(event) {
		$(this).select();
	});
  
	getMousePosition(TIMEOUT);
});


function getMousePosition() {
	//add one-time event handler
	$(document).bind("touchmove mousemove", mouseOrTouchMove);
}

//get coords of event
function mouseOrTouchMove(event, touch) {
	var trackpad = $("#trackpad");
	
	//convert page mouse coords to trackpad mouse coords
	if (event.type == "touchmove") {
		var touch = event.originalEvent.touches[0]; 
		window.mouseX = touch.pageX / trackpad.width();
		window.mouseY = touch.pageY / trackpad.height();
		event.preventDefault();
	} else {
		window.mouseX = (event.pageX - trackpad.offset().left) / trackpad.width();
		window.mouseY = (event.pageY - trackpad.offset().top) / trackpad.height();
	}
	
	if (mouseX < 0 || mouseX > 1) mouseX = -1;
	if (mouseY < 0 || mouseY > 1) mouseY = -1;
	
	sendData();
	
	//remove event handlers
	$(document).unbind("mousemove touchmove", mouseOrTouchMove);
	//add event handler again in TIMEOUT seconds
	setTimeout("getMousePosition(" + TIMEOUT + ")", TIMEOUT);
}

function sendData() {
	var trackpad = $("#trackpad");
	
	var throttle = 1 - mouseY; //reversed y-axis, zero at bottom
	var turn = (mouseX - .5) * 2; //-1 to 1, zero at x-axis center
	if (Math.abs(turn) < .1) turn = 0; //dead zone; make small turns go straight
	
	//motors are controlled independently, speeds from -500 to 500
	//base speed of throttle, +/- 200 "points" of turn (no backwards throttle)
	var motor1 = (throttle * 300) - (turn * 200);
	var motor2 = (throttle * 300) + (turn * 200);
	
	if (mouseX == -1 || mouseY == -1) motor1 = motor2 = 0;
		
	//make ajax request, use integers
	$.get("/motors", {
		"motor1": Math.round(motor1, 0),
		"motor2": Math.round(motor2, 0)
	});
}